Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1428)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1429)
@@ -2318,14 +2264,14 @@
 	}
 
 	/**
-	 * Gets the result type. Should be localized (eg. CA => AFC, Word cloud => Nuage
-	 * de mots). This method can be used for logging or UI. This method can also be
-	 * used to sort the result by type (alphanumeric order).
-	 * 
+	 * Gets the result type. Should be localized (eg. CA => AFC, Word cloud => Nuage de mots).
+	 * This method can be used for logging or UI.
+	 * This method can also be used to sort the result by type (alphanumeric order).
 	 * @return
 	 */
 	public abstract String getResultype();
 
+
 	@Override
 	public int compareTo(TXMResult o) {
 		// Compare node weights
@@ -2339,40 +2285,33 @@
 	 * @return
 	 */
 	public static int compare(TXMResult e1, TXMResult e2) {
-		if (e1 == null && e2 == null)
-			return 0;
-		if (e1 == null)
-			return 1;
+		if (e1 == null && e2 == null) return 0;
+		if (e1 == null) return 1;
 
 		return e1.getParametersNodePath().compareTo(e2.getParametersNodePath());
 	}
 
 	/**
-	 * Sets a boolean state to define if the result has already been computed at
-	 * least once or not.
-	 * 
-	 * @param hasBeenComputedOnce
-	 *            the hasBeenComputedOnce to set
+	 * Sets a boolean state to define if the result has already been computed at least once or not. 
+	 * @param hasBeenComputedOnce the hasBeenComputedOnce to set
 	 */
 	public void setHasBeenComputedOnce(boolean hasBeenComputedOnce) {
 		this.hasBeenComputedOnce = hasBeenComputedOnce;
 	}
 
 	/**
-	 * Gets a boolean state defining if the result has already been computed at
-	 * least once or not.
+	 * Gets a boolean state defining if the result has already been computed at least once or not.
 	 * 
 	 * true if the result has already been lazy LOADED...........
-	 * 
 	 * @return
 	 */
 	public boolean hasBeenComputedOnce() {
 		return hasBeenComputedOnce;
 	}
 
+
 	/**
-	 * Gets the internal persistable state.
-	 * 
+	 * Gets the internal persistable state. 
 	 * @return the persistable
 	 */
 	public boolean isInternalPersistable() {
@@ -2380,21 +2319,16 @@
 	}
 
 	/**
-	 * Sets the internal persistable state. Results internally persisted will not be
-	 * deleted when quitting, event if the user set them as non persistable.
-	 * 
-	 * @param persistable
-	 *            the persistable to set
+	 * Sets the internal persistable state. Results internally persisted will not be deleted when quitting, event if the user set them as non persistable.
+	 * @param persistable the persistable to set
 	 */
 	public void setInternalPersistable(boolean persistable) {
 		this.internalPersistable = persistable;
 	}
 
 	/**
-	 * Gets the lazy name. Since some result names need computed data, this name is
-	 * dedicated to display the result name even if it has not been recomputed after
-	 * being loaded.
-	 * 
+	 * Gets the lazy name.
+	 * Since some result names need computed data, this name is dedicated to display the result name even if it has not been recomputed after being loaded.
 	 * @return the lazyName
 	 */
 	public String getLazyName() {
@@ -2403,7 +2337,6 @@
 
 	/**
 	 * Gets the user defined persistable state of the result.
-	 * 
 	 * @return the state
 	 */
 	public boolean isUserPersistable() {
@@ -2415,8 +2348,7 @@
 	 * 
 	 * propagate persistence to parent if necessary
 	 * 
-	 * @param userPersistable
-	 *            the state to set
+	 * @param userPersistable the state to set
 	 */
 	public void setUserPersistable(boolean userPersistable) {
 		this.userPersistable = userPersistable;
@@ -2428,34 +2360,34 @@
 				child.setUserPersistable(userPersistable);
 			}
 		}
-
+		
 		// directly save and flush the preference
-		try {
-			if (this.isUserPersistable()) {
-				this.autoSaveParametersFromAnnotations();
-				this.saveParameters();
-				TXMPreferences.flush(this);
-			}
-		} catch (Exception e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
+        try {
+            if (this.isUserPersistable())    {
+                this.autoSaveParametersFromAnnotations();
+                this.saveParameters();
+                TXMPreferences.flush(this);
+            }
+        }
+        catch (Exception e) {
+            // TODO Auto-generated catch block
+            e.printStackTrace();
+        } 
 		// Debug
-		// Log.finest("TXMResult.setUserPersistable(): " + userPersistable);
+		//		Log.finest("TXMResult.setUserPersistable(): " + userPersistable);
 	}
 
 	/**
-	 * Swaps the user persistable state.
+	 * Swaps the user persistable state. 
 	 * 
 	 * propagate persistence to parent if necessary
 	 */
-	public void swapUserPersistableState() {
+	public void swapUserPersistableState()	{
 		this.setUserPersistable(!this.userPersistable);
 	}
 
 	/**
 	 * Gets the project of the result.
-	 * 
 	 * @return the project of the result
 	 */
 	public final Project getProject() {
@@ -2464,7 +2396,6 @@
 
 	/**
 	 * Gets the parameters node path.
-	 * 
 	 * @return the parametersNodePath
 	 */
 	public String getParametersNodePath() {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java	(revision 1428)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java	(revision 1429)
@@ -17,7 +17,7 @@
 public class ComputeSelectionListener extends BaseAbstractComputeListener implements SelectionListener, ISelectionChangedListener {
 
 	/**
-	 * If autocompute is true then the computing will be done even if the global auto-computing preference is false.
+	 * If autocompute is set to true then the computing will be done even if the global auto-computing preference is false.
 	 * @param editor
 	 * @param autoCompute
 	 */
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1428)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1429)
@@ -146,9 +146,9 @@
 	protected Group extendedParametersGroup;
 
 	/**
-	 * 
+	 * The SWT parent Composite.
 	 */
-	private Composite parent;
+	protected Composite parent;
 
 	/**
 	 * contains the default bottom toolbars widget
@@ -193,11 +193,26 @@
 		return 1;
 	}
 	
+	/**
+	 * 
+	 */
+	public TXMEditor() {
+		super();
+	}
+	
+	/**
+	 * Creates an editor and an editor input containing the specified result.
+	 * @param result
+	 */
+	public TXMEditor(TXMResult result) {
+		this();
+		this.setInput(new TXMResultEditorInput<TXMResult>(result));
+	}
 	@Override
 	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
 		this.setSite(site);
 		this.setInput(input);
-		this.result = getEditorInput().getResult(); // store result for debug purpose
+		this.result = this.getEditorInput().getResult(); // store result for debug purpose
 //		this.result.addResultListener(this);
 		// FIXME: see how to use the Adapters and AdapterFactory to define image and title of Editor in the contributing plug-ins
 		// another way is to use editors extension in plug-ins and redefine icon and name, using this solution the problem is that the name (which is also editor title) can not be dynamic according to the result data
@@ -205,20 +220,29 @@
 		this.setPartName(input.getName());
 
 		// fetch extensions
+		this.initExtensions();
+	}
+
+	
+	/**
+	 * Initializes plug-ins extensions.
+	 */
+	public void initExtensions()	{
+		
 		IConfigurationElement[] config = Platform.getExtensionRegistry().getConfigurationElementsFor(TXMEditorExtension.EXTENSION_ID);
-		Log.warning("Installing TXMEditorExtension..."); //$NON-NLS-1$
-		Log.warning(Arrays.toString(config));
+		Log.finest("Installing TXMEditorExtension..."); //$NON-NLS-1$
+		Log.finest(Arrays.toString(config));
 
 		for (IConfigurationElement e : config) {
 			try {
-				Log.warning(" "+e.getName()+" from "+e.getContributor().getName()); //$NON-NLS-1$ //$NON-NLS-2$
+				Log.finest(" "+e.getName()+" from "+e.getContributor().getName()); //$NON-NLS-1$ //$NON-NLS-2$
 				final Object o = e.createExecutableExtension("class"); //$NON-NLS-1$
 				if (o instanceof TXMEditorExtension) {
 					ISafeRunnable runnable = new ISafeRunnable() {
 
 						@Override
 						public void handleException(Throwable exception) {
-							System.out.println("Error while installing: "+o+": "+ exception.getLocalizedMessage()); //$NON-NLS-1$ //$NON-NLS-2$
+							Log.severe("Error while installing: "+o+": "+ exception.getLocalizedMessage()); //$NON-NLS-1$ //$NON-NLS-2$
 						}
 
 						@Override
@@ -232,7 +256,7 @@
 					SafeRunner.run(runnable);
 				}
 			} catch (Exception ex) {
-				System.out.println("Exception while installing "+e.getName()+": "+ex.getLocalizedMessage()); //$NON-NLS-1$ //$NON-NLS-2$
+				Log.severe("Exception while installing " + e.getName() + ": " + ex.getLocalizedMessage()); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 
@@ -259,6 +283,7 @@
 
 			@Override
 			public void partActivated(IWorkbenchPartReference partRef) {
+				// FIXME: SJ: why? when opening a new Editor the view will be refreshed twice... 
 				CorporaView.refresh();
 			}
 
@@ -283,7 +308,7 @@
 		};
 		this.getEditorSite().getPage().addPartListener(pl);
 	}
-
+	
 	/**
 	 * the composite containing the main parameters, the top toolbar and eventually other top toolbars
 	 * @return
@@ -374,7 +399,7 @@
 
 
 			this.notifyExtensions("notifyStartOfCreatePartControl"); //$NON-NLS-1$
-			this._createPartControl(); // child editor create its parameters and display widgets
+			this._createPartControl(); // child editor creates its parameters and displays widgets
 			this.notifyExtensions("notifyEndOfCreatePartControl"); //$NON-NLS-1$
 
 			// remove empty toolbar
@@ -396,34 +421,35 @@
 
 			
 			// disable the compute button, it will be re-enable or not later when the UI will check if the editor is dirty or not
-			ToolItem computeButton = this.topToolBar.getItemByContributionId(TOP_TOOLBAR_COMPUTE_BUTTON_ID); //$NON-NLS-1$
+			ToolItem computeButton = this.topToolBar.getItemByContributionId(TOP_TOOLBAR_COMPUTE_BUTTON_ID);
 			computeButton.setEnabled(false);
 
 			
 		} catch(Throwable e) {
-			Log.severe("TXMEditor.createPartControl(): can not create the editor for result " + this.getResult() + "."); //$NON-NLS-1$  //$NON-NLS-2$
+			Log.severe(TXMCoreMessages.bind("TXMEditor.createPartControl(): can not create the editor for result {0}.", this.getResult())); //$NON-NLS-1$
 			e.printStackTrace();
 			createPartControlDoneSucessfully = false;
 		}
 	}
 
 	/**
-	 * shortcut to call the notify* methods of all extension 
+	 * shortcut to call the notify* methods of all extension
 	 * 
 	 * notify the extension of editors updates
 	 * 
-	 * notifyStartOfCreatePartControl,
-notifyEndOfCreatePartControl,
-notifyStartOfCompute,
-notifyEndOfCompute,
-notifyStartOfRefresh,
-notifyEndOfRefresh
-notifyDispose
-notifyDoSave
+	 * notifyStartOfCreatePartControl
+	 * notifyEndOfCreatePartControl
+	 * notifyStartOfCompute
+	 * notifyEndOfCompute
+	 * notifyStartOfRefresh
+	 * notifyEndOfRefresh
+	 * notifyDispose
+	 * notifyDoSave
 	 * 
-	 * @param step the method to call
-	 * @throws SecurityException 
-	 * @throws NoSuchMethodException 
+	 * @param step
+	 *            the method to call
+	 * @throws SecurityException
+	 * @throws NoSuchMethodException
 	 */
 	protected void notifyExtensions(final String step) {
 		if (!step.startsWith("notify")) return; //$NON-NLS-1$
@@ -520,7 +546,14 @@
 		return this.extendedParametersGroup;
 	}
 
+
 	@Override
+	public boolean isSaveAsAllowed() {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	@Override
 	public void doSave(final IProgressMonitor monitor) {
 		// FIXME: SJ: to discuss. A this moment the save is automatically done or not in TXMResult.compute() according to a preference of the TBX
 		//		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.AUTO_SAVE_RESULTS)) { // ?
@@ -614,12 +647,6 @@
 	}
 
 	@Override
-	public boolean isSaveAsAllowed() {
-		// TODO Auto-generated method stub
-		return false;
-	}
-
-	@Override
 	public void setFocus() {
 		// FIXME SJ: this code leads to a bug, the focus must not be regiven to the main parameter after each computing
 //		if (mainParametersComposite != null && !mainParametersComposite.isDisposed()) {
@@ -699,6 +726,23 @@
 
 
 	/**
+	 * Synchronizes the result data from the editor data.
+	 */
+	public void synchronizeResultFromEditor()	{
+		// FIXME: DEbug
+		Log.finest("TXMEditor.syncrhonizeResultFromEditor(): " + this.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
+		this.updateResultFromEditor(); // subclasses manual result updating from editor fields
+		// FIXME: DEbug
+		Log.finest("TXMEditor.syncrhonizeResultFromEditor(): " + this.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$
+		
+		this.autoUpdateResultFromEditorParameters(); // auto updating result from Parameter annotations in result <=> editor
+
+		// Stores the last parameters before the computing to later auto-update the Widgets only if some parameters have changed 
+		setLastComputingParameters(this.getResult().getLastParametersFromHistory());
+
+	}
+	
+	/**
 	 * Computes the TXMResult if all necessary parameters are set then refreshes the editor UI.
 	 * Also loads and savesd some parameters from result to Widgets fields and from Widgets fields to result.
 	 * 
@@ -734,16 +778,18 @@
 									}
 								}
 								
-								// FIXME: DEbug
-								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
-								updateResultFromEditor(); // subclasses manual result updating from editor fields
-								// FIXME: DEbug
-								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$
+								synchronizeResultFromEditor();
 								
-								autoUpdateResultFromEditorParameters(); // auto updating result from Parameter annotations in result <=> editor
-
-								// Stores the last parameters before the computing to later auto-update the Widgets only if some parameters have changed 
-								setLastComputingParameters(TXMEditor.this.getResult().getLastParametersFromHistory());
+//								// FIXME: DEbug
+//								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
+//								updateResultFromEditor(); // subclasses manual result updating from editor fields
+//								// FIXME: DEbug
+//								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$
+//								
+//								autoUpdateResultFromEditorParameters(); // auto updating result from Parameter annotations in result <=> editor
+//
+//								// Stores the last parameters before the computing to later auto-update the Widgets only if some parameters have changed 
+//								setLastComputingParameters(TXMEditor.this.getResult().getLastParametersFromHistory());
 							}
 						}
 					});
@@ -775,27 +821,9 @@
 								
 								refresh(update);
 								
-//								// refresh all opened editors
-//								// FIXME: update all open editors of the children result
-//								// FIXME: prob here is that updateEditorFromResult() doesn't enough because the compute() method does some other stuff
-//								// so the cascade computing may be done here rather than in TXMResult.compute() or we need to move some stuff from TXMEditor.compute() to
-//								// TXMEditor.updateEditorFromResult(), eg. the chart loading
-//								// WARNING: At This moment, with this code, TXMResult.compute() of the children is called twice
-//								for (IEditorReference reference : PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getEditorReferences()) {
-//									IEditorPart editor = reference.getEditor(false);
-//									if(editor != null && editor instanceof TXMEditor)	{
-//										TXMEditor txmEditor = ((TXMEditor)editor);
-//										//if (txmEditor.getResult().getParent() == this.getResult())	{
-//											Log.finest("TXMEditor.refresh(): updating editor for result: " + txmEditor.getResult().getSimpleName());
-//											//txmEditor.compute(false);
-//											//txmEditor.updateEditorFromResult(false);
-//											txmEditor.refresh(false);
-//										//}
-//									}
-//								}
-								
 								// focus in the main widget 
 								setFocus();
+
 							} catch (Exception e) {
 								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": Error while refreshing the editor: " + e); //$NON-NLS-1$
 								Log.printStackTrace(e);
@@ -831,6 +859,7 @@
 
 	/**
 	 * Opens an editor specified by its id, computes the specified result then refreshes the editor components.
+	 * If the editor was already opened, the computing is skipped and the focus is given to the editor.
 	 * 
 	 * @param result
 	 * @param editorPartId
@@ -842,6 +871,7 @@
 
 	/**
 	 * Opens an editor specified by its id, computes the result stored in the specified editor input then refreshes the editor components.
+	 * If the editor was already opened, the computing is skipped and the focus is given to the editor.
 	 * @param editorInput
 	 * @param editorId
 	 * @return
@@ -854,11 +884,11 @@
 			boolean wasAlreadyOpened = SWTEditorsUtils.isOpenEditor(editorInput, editorId);
 			// opening the editor
 			editor = (TXMEditor) page.openEditor(editorInput, editorId, true, IWorkbenchPage.MATCH_INPUT | IWorkbenchPage.MATCH_ID);
-			//editor.refresh(true);
 			// computing the result only if the editor wasn't already opened
 			if (!wasAlreadyOpened)	{
 				editor.compute(false);
-			} else {
+			}
+			else {
 				editor.setFocus();
 			}
 		}
@@ -870,7 +900,7 @@
 	}
 
 	/**
-	 * Synchronizes the editor with the result and refreshes the corpus view.
+	 * Synchronizes the editor from the result and refreshes the corpus view.
 	 * Also fires a dirty property change.
 	 * @param update
 	 * @throws Exception 
@@ -919,8 +949,61 @@
 		this.setDirty(false);
 
 		
-		
+		// FIXME: update all open editors of the children result
+		// FIXME: prob here is that updateEditorFromResult() doesn't enough because the compute() method does some other stuff
+		// so the cascade computing may be done here rather than in TXMResult.compute() or we need to move some stuff from TXMEditor.compute() to
+		// TXMEditor.updateEditorFromResult(), eg. the chart loading
+		// WARNING: At This moment, with this code, TXMResult.compute() of the children is called twice
+								for (IEditorReference reference : PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getEditorReferences()) {
+									IEditorPart editor = reference.getEditor(false);
 
+									// TXMEditor
+									if(editor != null && editor instanceof TXMEditor && editor != this)	{
+										TXMEditor txmEditor = ((TXMEditor)editor);
+										if(this.getResult().isChild(txmEditor.getResult()))	{
+											
+											
+											
+//											Log.finest("TXMEditor.refresh(): updating editor for result: " + txmEditor.getResult().getSimpleName());
+//											Log.finest("TXMEditor.refresh(): " + txmEditor.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
+//											txmEditor.updateResultFromEditor(); // subclasses manual result updating from editor fields
+//											// FIXME: DEbug
+//											Log.finest("TXMEditor.refresh(): " + txmEditor.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$
+//											txmEditor.autoUpdateResultFromEditorParameters(); // auto updating result from Parameter annotations in result <=> editor
+											
+											txmEditor.synchronizeResultFromEditor();
+											
+											//txmEditor.compute(false);
+											//txmEditor.updateEditorFromResult(true);
+											txmEditor.refresh(true);
+										}
+									}
+									// TXMMultiPageEditor
+//									else if(editor != null && editor instanceof TXMMultiPageEditor && editor != this)	{
+//										TXMMultiPageEditor txmMultipageEditor = ((TXMMultiPageEditor)editor);
+//										for (int i = 0; i < txmMultipageEditor.getEditors().size(); i++) {
+//											if(txmMultipageEditor.getEditors().get(i) instanceof TXMEditor && txmMultipageEditor.getEditors().get(i) != this)	{
+//												TXMEditor txmEditor = ((TXMEditor)txmMultipageEditor.getEditors().get(i));
+//												if(this.getResult().isChild(txmEditor.getResult()))	{
+////													Log.finest("TXMEditor.refresh(): updating editor for result: " + txmEditor.getResult().getSimpleName());
+////													Log.finest("TXMEditor.refresh(): " + txmEditor.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
+////													txmEditor.updateResultFromEditor(); // subclasses manual result updating from editor fields
+////													// FIXME: DEbug
+////													Log.finest("TXMEditor.refresh(): " + txmEditor.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$
+////													txmEditor.autoUpdateResultFromEditorParameters(); // auto updating result from Parameter annotations in result <=> editor
+////													//txmEditor.compute(false);
+////													//txmEditor.updateEditorFromResult(true);
+//													
+//													txmEditor.synchronizeResultFromEditor();
+//													
+//													//txmEditor.refresh(true);
+//												}
+//											}
+//										}
+//										
+//									}
+								}
+
 		notifyExtensions("notifyEndOfRefresh"); //$NON-NLS-1$
 	}
 
@@ -1098,7 +1181,7 @@
 
 				// FIXME: debug
 				if(object != null)	{
-					String message = "TXMEditor.autoUpdateEditorFieldsFromResult(): setting editor parameter " + parameter.key() + " = " + value; //$NON-NLS-1$ //$NON-NLS-2$
+					String message = "TXMEditor.autoUpdateEditorFieldsFromResult(): " + this.getClass().getSimpleName() + ": setting editor parameter " + parameter.key() + " = " + value; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					if(value != null) {
 						message += " (" + value.getClass() + " to object " + object + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 1428)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 1429)
@@ -303,7 +303,9 @@
 	 */
 	public void activateContext()	{
 		IContextService contextService = (IContextService)getSite().getService(IContextService.class);
-		this.contextActivationToken = contextService.activateContext(CONTEXT_ID_CHART_EDITOR);
+		if(contextService != null)	{
+			this.contextActivationToken = contextService.activateContext(CONTEXT_ID_CHART_EDITOR);
+		}
 	}
 	
 
@@ -638,7 +640,7 @@
 	public ChartComposite getChartComposite() {
 		return chartComposite;
 	}
-
+	
 	/**
 	 * Gets the chart toolbar.
 	 * @return the chartToolBar
@@ -648,7 +650,6 @@
 	}
 
 	
-	
 	@Override
 	public T getResult()	{
 		return (T) this.getEditorInput().getResult();
Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 1428)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 1429)
@@ -663,8 +663,12 @@
 		return numberOfClusters;
 	}
 
+	/**
+	 * Gets the parent lexical table.
+	 * @return the parent lexical table
+	 */
 	public LexicalTable getLexicalTable() {
-		return getParent().getLexicalTable();
+		return this.getParent().getLexicalTable();
 	}
 
 
@@ -676,21 +680,27 @@
 		//		buffer.append(this.method);
 		//		buffer.append(this.metric);
 		//		buffer.append(this.numberOfClusters);
-		return this.getName();
+		if(this.hasBeenComputedOnce)	{
+			return this.getName();	
+		}
+		else	{
+			return this.getEmptyName();
+		}
+		
 	}
 
 	@Override
-	public String getDetails() {
-		return NLS.bind(this.getName()+"\ncomputed with the {0} method and the {1} metric.", method, metric);
+	public String getName() {
+		return NLS.bind("{0} clusters of {1}", this.getNumberOfClusters(), this.columnsComputing ? "columns" : "rows");
 	}
 
+	
 	@Override
-	public String getName() {
-		return NLS.bind("{0} clusters of  ", this.getNumberOfClusters(), this.columnsComputing?"columns":"rows");
+	public String getDetails() {
+		return NLS.bind(this.getName() + "\ncomputed with the {0} method and the {1} metric.", method, metric);
 	}
 
 
-
 	/**
 	 * Gets the 2D rendering state.
 	 * If false, the rendering will be done in 3D.
@@ -714,9 +724,13 @@
 		return AHCCoreMessages.RESULT_TYPE;
 	}
 
+	/**
+	 * Gets the parent lexical table unit property.
+	 * @return the parent lexical table unit property
+	 */
 	public Property getUnitProperty() {
-		if (getLexicalTable() != null) {
-			return getLexicalTable().getProperty();
+		if (this.getLexicalTable() != null) {
+			return this.getLexicalTable().getProperty();
 		}
 		return null;
 	}
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 1428)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 1429)
@@ -107,25 +107,6 @@
 						return null;
 					}
 
-					// FIXME: old version using dialog box for parameters
-					// ask property and Fmins and Vmax
-					//				String title = TXMUIMessages.bind(CAUIMessages.ComputeCorrespondanceAnalysisDialog_0, partition.getName());
-					//				CAParametersDialog d = new CAParametersDialog(window.getShell(), partition.getParent(), title);
-					//
-					//				if (d.open() == MessageDialog.OK) {
-					//					WordProperty property = d.getProperty();
-					//					int fMin = d.getFmin();
-					//					int vMax = d.getMaxLines();
-					//
-					//					Log.info(NLS.bind(CAUIMessages.computingCorrespondenceAnalysisOnP0WithPropertyP1, partition, property));
-					//
-					//					LexicalTable lexicalTable = new LexicalTable(partition);
-					//					lexicalTable.setParameters(property, fMin, vMax, null);
-					//					ca = new CA(lexicalTable);
-					//				} else { // aborted
-					//					return null;
-					//				}
-
 					// FIXME: SJ: temporary version before we fix the problems listed below
 					lexicalTable = new LexicalTable(partition);
 					lexicalTable.setParameters((WordProperty) partition.getCorpus().getDefaultProperty(), 20, 200, null);
@@ -133,7 +114,8 @@
 
 					// FIXME: SJ: new version, creating a, empty LT and an empty CA
 					// does not work at this time because of some problems in CAEditor (refreshing and components creation + eigenvalues computing)
-					//				ca = new CA(new LexicalTable(partition));
+//					lexicalTable = new LexicalTable(partition);
+//					ca = new CA(lexicalTable);
 				}
 				else if (selection instanceof PartitionIndex) {
 					PartitionIndex index = (PartitionIndex) selection;
